Subject: Re: bug#45821: Emacs UDP support on Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Jan 2023 14:07:54 +0200

> Cc: "[email-masked]" <[email-masked]>
> From: Alex Matei <[email-masked]>
> Date: Sun, 1 Jan 2023 23:01:04 +0000
> 
> * Can we make the documentation for developing for Emacs more discoverable? Maybe with a markdown
>  / .org README?

Which development documentation did you find hard to discover?  Please
be more specific.

> * Are we allowed to update the README with more up-to date information, on the series of MYSYS
>  packages needed to be downloaded, and potentially with links to blog posts that describe the process in 

That was already done a few days ago, please look at the latest Git
repository, in the nt/INSTALL.W64 file.

> * Can we add sections about creating/ applying patches to the README?

This stuff is in CONTRIBUTE.

> * I had a bit of work to discover how  `git am` works , and the whole business of email patches, etc.

This is not specific to Emacs, so I don't think it's our job to teach
this.  You can always ask on emacs-devel if you have problems
figuring this stuff out.

> * It would be great if all of this will be part of the original README

The purpose of README is different, and it's already quite large.  We
describe this in CONTRIBUTE.

> * Where can I find more information about logging from C code?

Use the function 'message'.

> * Ideally I would like to compile Emacs with some new C functions, and then easily observe the behavior of
>  these functions 

I use the debugger when I need this.  It is much more flexible and
dfoesn't require me to decide up front what exactly I want to log.